org.apache.poi.sl.draw.binding

## Enum STSchemeColorVal

- java.lang.Object
- - java.lang.Enum<STSchemeColorVal>
  - - org.apache.poi.sl.draw.binding.STSchemeColorVal

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STSchemeColorVal>

      public enum STSchemeColorVal
      extends java.lang.Enum<STSchemeColorVal>

  Java class for ST_SchemeColorVal.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ST_SchemeColorVal">
         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
           <enumeration value="bg1"/>
           <enumeration value="tx1"/>
           <enumeration value="bg2"/>
           <enumeration value="tx2"/>
           <enumeration value="accent1"/>
           <enumeration value="accent2"/>
           <enumeration value="accent3"/>
           <enumeration value="accent4"/>
           <enumeration value="accent5"/>
           <enumeration value="accent6"/>
           <enumeration value="hlink"/>
           <enumeration value="folHlink"/>
           <enumeration value="phClr"/>
           <enumeration value="dk1"/>
           <enumeration value="lt1"/>
           <enumeration value="dk2"/>
           <enumeration value="lt2"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCENT_1` Accent Color 1
    `ACCENT_2` Accent Color 2
    `ACCENT_3` Accent Color 3
    `ACCENT_4` Accent Color 4
    `ACCENT_5` Accent Color 5
    `ACCENT_6` Accent Color 6
    `BG_1` Background Color 1
    `BG_2` Background Color 2
    `DK_1` Dark Color 1
    `DK_2` Dark Color 2
    `FOL_HLINK` Followed Hyperlink Color
    `HLINK` Hyperlink Color
    `LT_1` Light Color 1
    `LT_2` Light Color 2
    `PH_CLR` Style Color
    `TX_1` Text Color 1
    `TX_2` Text Color 2

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STSchemeColorVal` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static STSchemeColorVal` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STSchemeColorVal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BG_1

          public static final STSchemeColorVal BG_1

      Background Color 1

    - #### TX_1

          public static final STSchemeColorVal TX_1

      Text Color 1

    - #### BG_2

          public static final STSchemeColorVal BG_2

      Background Color 2

    - #### TX_2

          public static final STSchemeColorVal TX_2

      Text Color 2

    - #### ACCENT_1

          public static final STSchemeColorVal ACCENT_1

      Accent Color 1

    - #### ACCENT_2

          public static final STSchemeColorVal ACCENT_2

      Accent Color 2

    - #### ACCENT_3

          public static final STSchemeColorVal ACCENT_3

      Accent Color 3

    - #### ACCENT_4

          public static final STSchemeColorVal ACCENT_4

      Accent Color 4

    - #### ACCENT_5

          public static final STSchemeColorVal ACCENT_5

      Accent Color 5

    - #### ACCENT_6

          public static final STSchemeColorVal ACCENT_6

      Accent Color 6

    - #### HLINK

          public static final STSchemeColorVal HLINK

      Hyperlink Color

    - #### FOL_HLINK

          public static final STSchemeColorVal FOL_HLINK

      Followed Hyperlink Color

    - #### PH_CLR

          public static final STSchemeColorVal PH_CLR

      Style Color

    - #### DK_1

          public static final STSchemeColorVal DK_1

      Dark Color 1

    - #### LT_1

          public static final STSchemeColorVal LT_1

      Light Color 1

    - #### DK_2

          public static final STSchemeColorVal DK_2

      Dark Color 2

    - #### LT_2

          public static final STSchemeColorVal LT_2

      Light Color 2

  - ### Method Detail

    - #### values

          public static STSchemeColorVal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STSchemeColorVal c : STSchemeColorVal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STSchemeColorVal valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static STSchemeColorVal fromValue(java.lang.String v)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.